aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDongxu Li <dongxuli2011@gmail.com>2011-04-12 16:43:17 -0400
committerDongxu Li <dongxuli2011@gmail.com>2011-04-12 16:43:17 -0400
commit14062364440b839649f1cd7f3b3563a2a69d9517 (patch)
treeea387ed030c4d13aeecd658968465396f587b219 /media-gfx
parentsci-mathematics/acl2: fixed certificate dir (diff)
downloadsci-14062364440b839649f1cd7f3b3563a2a69d9517.tar.gz
sci-14062364440b839649f1cd7f3b3563a2a69d9517.tar.bz2
sci-14062364440b839649f1cd7f3b3563a2a69d9517.zip
media-gfx/brlcad: version bump to 7.18.4
Diffstat (limited to 'media-gfx')
-rw-r--r--media-gfx/brlcad/ChangeLog82
-rw-r--r--media-gfx/brlcad/Manifest4
-rw-r--r--media-gfx/brlcad/brlcad-7.18.4.ebuild93
-rw-r--r--media-gfx/brlcad/metadata.xml26
4 files changed, 205 insertions, 0 deletions
diff --git a/media-gfx/brlcad/ChangeLog b/media-gfx/brlcad/ChangeLog
new file mode 100644
index 000000000..884aba967
--- /dev/null
+++ b/media-gfx/brlcad/ChangeLog
@@ -0,0 +1,82 @@
+# ChangeLog for media-gfx/brlcad
+# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/brlcad/ChangeLog,v 1.2 2011/03/27 19:06:12 dilfridge Exp $
+
+*brlcad-7.18.2 (27 Mar 2011)
+
+ 12 Apr 2011; Dongxu Li <dongxuli2011@gmail.com> +brlcad-7.18.4.ebuild:
+ Version bump to 7.18.4
+
+ 27 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org>
+ +brlcad-7.18.2.ebuild:
+ Version bump
+
+ 27 Mar 2011; Andreas K. Huettel <dilfridge@gentoo.org>
+ +brlcad-7.16.8.ebuild, +metadata.xml:
+ Moved from sci-misc to media-gfx
+
+ 18 Jun 2010; Sébastien Fabbro <bicatali@gentoo.org>
+ -brlcad-7.16.6-r1.ebuild, -files/brlcad-7.16.6-as-needed.patch,
+ -files/brlcad-7.16.6-stl-headers.patch, brlcad-7.16.8.ebuild:
+ Now X is forced (does not build without), itcl/itk paths removed from
+ ebuild. Switched to EAPI3.
+
+*brlcad-7.16.8 (26 May 2010)
+
+ 26 May 2010; Sébastien Fabbro <bicatali@gentoo.org>
+ +brlcad-7.16.8.ebuild:
+ Version bump
+
+ 09 Mar 2010; Sébastien Fabbro <bicatali@gentoo.org>
+ brlcad-7.16.6-r1.ebuild:
+ Get the LDPATH right, bug #307867
+
+*brlcad-7.16.6-r1 (03 Mar 2010)
+
+ 03 Mar 2010; Sébastien Fabbro <bicatali@gentoo.org>
+ -brlcad-7.16.6.ebuild, +brlcad-7.16.6-r1.ebuild, metadata.xml:
+ Added benchmarks which can be run if the tests are enabled. Added a
+ desktop entry, and itk/itcl library path to the LDPATH environment
+
+ 28 Feb 2010; Sébastien Fabbro <bicatali@gentoo.org> brlcad-7.16.6.ebuild:
+ Filtered -Werror, still creating problems (bug #307061)
+
+ 26 Feb 2010; Sébastien Fabbro <bicatali@gentoo.org> brlcad-7.16.6.ebuild:
+ Enabling debug by default, following bug #306841
+
+*brlcad-7.16.6 (25 Feb 2010)
+
+ 25 Feb 2010; Sébastien Fabbro <bicatali@gentoo.org>
+ +brlcad-7.16.6.ebuild, +files/brlcad-7.16.6-as-needed.patch,
+ +files/brlcad-7.16.6-stl-headers.patch, +metadata.xml:
+ Version bump and moved to the main tree
+
+ 04 Feb 2010; Sébastien Fabbro <bicatali@gentoo.org> brlcad-7.16.4.ebuild:
+ Changed man directory to avoid conflicts
+
+*brlcad-7.16.4 (02 Feb 2010)
+
+ 02 Feb 2010; Sébastien Fabbro <bicatali@gentoo.org>
+ -brlcad-7.10.4.ebuild, +brlcad-7.16.4.ebuild,
+ +files/brlcad-7.16.4-as-needed.patch,
+ -files/brlcad-tcltk-man_install.patch:
+ Version bump. Rewrote from scratch
+
+ 24 Aug 2008; Tim Cera <timcera@earthlink.net> brlcad-7.10.4.ebuild:
+ * The BDL (BSD Documentation License) was for content on their wiki. Removed
+ from software licenses. * Changed the copyright year to 2008.
+
+ 19 Dec 2007; Sébastien Fabbro <bicatali@gentoo.org>
+ -files/brlcad-7.6.6-gentoo.diff, +files/brlcad-tcltk-man_install.patch,
+ -files/tcl.m4, -brlcad-7.6.6.ebuild, +brlcad-7.10.4.ebuild:
+ Version bump
+
+ 26 January 2006; Lucas Chiesa <lucas.chiesa@gmail.com> brlcad-7.6.6.ebuild:
+ Added brlcad-7.6.6-gentoo.diff which replaces the entire test for
+ tcl/tk/itcl/iwidgets in configure.ac. It needs some more work.
+
+*brlcad-7.6.6 (19 January 2006)
+
+ 19 January 2006; Marcus D. Hanwell <cryos@gentoo.org>
+ +brlcad-7.6.6.ebuild:
+ Initial import into the science overlay, bug 77197.
diff --git a/media-gfx/brlcad/Manifest b/media-gfx/brlcad/Manifest
new file mode 100644
index 000000000..dc67dc89e
--- /dev/null
+++ b/media-gfx/brlcad/Manifest
@@ -0,0 +1,4 @@
+DIST brlcad-7.18.4.tar.gz 55406130 RMD160 ac2806a807c59fc5c55944ad63205d1fdf10c0df SHA1 fd40e86eaa04ec8be4682f78ab407af5b33d941e SHA256 90bd0c5afaa7a5c48846f6d4f4a59ae482c231b666e457ccf4ad7524236e928f
+EBUILD brlcad-7.18.4.ebuild 2567 RMD160 259e6559fab26b75ad718bac56c37963b5515e7e SHA1 9d99dc870e626e2b312ec91b72bf2db2fa79f912 SHA256 ed4bb72f561798d719d065bda136fc02efd79a6605e756958f965639736ac020
+MISC ChangeLog 3080 RMD160 8e089fa2df8ff77b06fe819727d1bbd3ab52264c SHA1 5e2614fb8a7f2f973be467731a45bbd29b764475 SHA256 a56e48f804bdb1ae5f28576a2ffda51b80d83a8817852d838ff4446cee757a22
+MISC metadata.xml 1134 RMD160 97574ea4a585a042247f2a7dda9371beb8158f24 SHA1 be8ee76ded1a045f3ab4df019452df55065fce2c SHA256 05f016d00b5b6011a13e0d1e0454f8017bd0f177f7d05d3836620e92487027ac
diff --git a/media-gfx/brlcad/brlcad-7.18.4.ebuild b/media-gfx/brlcad/brlcad-7.18.4.ebuild
new file mode 100644
index 000000000..1e21cd339
--- /dev/null
+++ b/media-gfx/brlcad/brlcad-7.18.4.ebuild
@@ -0,0 +1,93 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-gfx/brlcad/brlcad-7.18.2.ebuild,v 1.1 2011/03/27 19:06:12 dilfridge Exp $
+
+EAPI=3
+inherit eutils java-pkg-opt-2
+
+DESCRIPTION="Constructive solid geometry modeling system"
+HOMEPAGE="http://brlcad.org/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2 BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="benchmarks debug doc examples java opengl smp"
+
+RDEPEND="media-libs/libpng
+ sys-libs/zlib
+ >=sci-libs/tnt-3
+ sci-libs/jama
+ =dev-tcltk/itcl-3.4*
+ =dev-tcltk/itk-3.4*
+ dev-tcltk/iwidgets
+ dev-tcltk/tkimg
+ sys-libs/libtermcap-compat
+ media-libs/urt
+ x11-libs/libXt
+ x11-libs/libXi
+ java? ( >=virtual/jre-1.5 )"
+
+DEPEND="${RDEPEND}
+ sys-devel/bison
+ sys-devel/flex
+ java? ( >=virtual/jdk-1.5 )
+ doc? ( dev-libs/libxslt )"
+
+BRLCAD_DIR="${EPREFIX}/usr/${PN}"
+
+src_configure() {
+ local myconf="--without-jdk"
+ use java && myconf="--with-jdk=$(java-config -O)"
+
+ econf \
+ --disable-strict-build \
+ --prefix="${BRLCAD_DIR}" \
+ --datadir="${BRLCAD_DIR}/share" \
+ --mandir="${BRLCAD_DIR}/man" \
+ --disable-almost-everything \
+ --disable-regex-build \
+ --disable-png-build \
+ --disable-zlib-build \
+ --disable-urt-build \
+ --disable-tcl-build \
+ --disable-tk-build \
+ --disable-itcl-build \
+ --disable-tkimg-build \
+ --disable-jove-build \
+ --disable-tnt-install \
+ --disable-iwidgets-install \
+ --enable-opennurbs-build \
+ --with-ldflags="-L${EPREFIX}/usr/$(get_libdir)/itcl3.4 -L${EPREFIX}/usr/$(get_libdir)/itk3.4" \
+ --with-x \
+ --with-x11 \
+ $(use_enable debug) \
+ $(use_enable debug optimization) \
+ $(use_enable debug runtime-debug) \
+ $(use_enable debug verbose) \
+ $(use_enable debug warnings) \
+ $(use_enable debug progress) \
+ $(use_enable doc documentation) \
+ $(use_enable examples models-install) \
+ $(use_enable smp parallel) \
+ $(use_with opengl ogl) \
+ ${myconf}
+}
+
+src_test() {
+ emake check || die "emake check failed"
+ if use benchmarks; then
+ emake benchmark || die "emake benchmark failed"
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ rm -f "${D}"usr/share/brlcad/{README,NEWS,AUTHORS,HACKING,INSTALL,COPYING}
+ dodoc AUTHORS NEWS README HACKING TODO BUGS ChangeLog
+ echo "PATH=\"${BRLCAD_DIR}/bin\"" > 99brlcad
+ echo "MANPATH=\"${BRLCAD_DIR}/man\"" >> 99brlcad
+ doenvd 99brlcad || die
+ newicon misc/macosx/Resources/ReadMe.rtfd/brlcad_logo_tiny.png brlcad.png
+ make_desktop_entry mged "BRL-CAD" brlcad "Graphics;Engineering"
+}
diff --git a/media-gfx/brlcad/metadata.xml b/media-gfx/brlcad/metadata.xml
new file mode 100644
index 000000000..c3f3490ea
--- /dev/null
+++ b/media-gfx/brlcad/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci</herd>
+<longdescription lang="en">
+ BRL-CAD is a Combinatorial/Constructive Solid Geometry (CSG)
+ solid modeling system that includes an interactive geometry editor,
+ ray-tracing support for rendering and geometric analysis,
+ network-distributed framebuffer support, image and signal-processing
+ tools, and an embedded scripting language.
+
+ The package is a collection of over 400 tools and utilities. Included
+ is support for various geometric data format conversions, image and
+ signal processing capabilities, ray-tracing based lighting models,
+ network distributed ray-tracing, parallel ray-tracing, animation
+ capabilities, data compression, image handling, and interactive 3-D
+ geometric editing, and also an implementation of Weiler's n-Manifold
+ Geometry (NMG) data structures for surface-based solid models and
+ photon mapping.
+</longdescription>
+<use>
+ <flag name="benchmarks">
+ Run benchmarks during test phase (need test option enabled)
+ </flag>
+</use>
+</pkgmetadata>